CREATE TABLE TOKENS (
	id INTEGER PRIMARY_KEY,
	creation_time BIGINT NOT NULL,
	token CHARACTER VARYING(512) NOT NULL,
	hidden_token CHARACTER VARYING(512) NOT NULL,
	allow_all BOOLEAN NOT NULL,
	sec_crit TEXT,
	UNIQUE (token)
);

CREATE INDEX TOKENS_TOKEN_INDEX ON TOKENS (token);
CREATE INDEX TOKENS_CREATION_TIME_INDEX ON TOKENS (creation_time);