BEGIN;

DROP FUNCTION IF EXISTS add_node(VARCHAR, VARCHAR, TEXT);
DROP FUNCTION IF EXISTS add_link(VARCHAR, VARCHAR, VARCHAR, DOUBLE PRECISION, TEXT);
DROP FUNCTION IF EXISTS set_group(VARCHAR, VARCHAR);
DROP FUNCTION IF EXISTS finish_group(VARCHAR);
DROP FUNCTION IF EXISTS remove_node(VARCHAR);
DROP FUNCTION IF EXISTS remove_link(VARCHAR, VARCHAR, VARCHAR);
DROP FUNCTION IF EXISTS clear_graph();
DROP FUNCTION IF EXISTS get_atomic_nodes_by_node_id(VARCHAR);
DROP FUNCTION IF EXISTS get_atomic_nodes_by_node_group(VARCHAR);
DROP FUNCTION IF EXISTS get_incident_links_by_node_id(VARCHAR);
DROP FUNCTION IF EXISTS get_incident_links_by_node_group(VARCHAR);
DROP FUNCTION IF EXISTS get_all_nodes(BIGINT, INTEGER);
DROP FUNCTION IF EXISTS get_all_nodes(VARCHAR, BIGINT, INTEGER);

DROP TABLE IF EXISTS graph_node CASCADE;
DROP TABLE IF EXISTS graph_link CASCADE;
DROP TABLE IF EXISTS graph_iterator_result CASCADE;
DROP TABLE IF EXISTS graph_version CASCADE;

COMMIT;
