CREATE TABLE ad_version (version INTEGER);
INSERT INTO ad_version (version) VALUES (1);

CREATE TABLE ad_entry (
	id CHAR(36) PRIMARY KEY,
	type VARCHAR(128),
	collection VARCHAR(256),
	popularity INTEGER
);

CREATE TABLE ad_name (
	text VARCHAR(4096) NOT NULL,
	lang VARCHAR(16),
	relation VARCHAR(128),
	entry CHAR(36) NOT NULL REFERENCES ad_entry,
	idx INTEGER NOT NULL,
	hash VARCHAR(1024) NOT NULL,
	main BOOLEAN NOT NULL DEFAULT FALSE
);

CREATE TABLE ad_keyword (
	entry CHAR(36) NOT NULL REFERENCES ad_entry,
	idx INTEGER NOT NULL,
	keyword VARCHAR(256)
);
